Skip to main content
GET
/
v1
/
wallet
/
withdrawals
List Withdrawals
curl --request GET \
  --url https://api.ondoperps.xyz/v1/wallet/withdrawals \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "result": [
    {
      "coin": "USDC",
      "size": "500.00",
      "status": "complete",
      "address": "0x054A94b753CBf65D1Bc484F6D41897b48251fbfF",
      "withdrawal_id": "w_9f8e7d6c5b4a3210",
      "txid": "0xdef456...",
      "customer_withdrawal_id": "my-withdrawal-001",
      "time": "2025-02-20T15:45:00Z",
      "usdValue": "500.00",
      "usdFee": "0.00",
      "chainId": "1",
      "from": {
        "id": "10458932786832481",
        "wallet": "margin"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

List of withdrawals

success
boolean
required

Whether the request was successful

Example:

true

error
string

Error message, present only on failure

Example:

""

error_code
string

Semantic error code. See each endpoint's error responses for the specific codes it can return.

deprecated
string

Deprecation notice, if applicable

Example:

""

result
object[]